org.eclipse.viatra.query.runtime.matchers

## Class ViatraQueryRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.viatra.query.runtime.matchers.ViatraQueryRuntimeException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    LocalSearchException, QueryProcessingException, ViatraBaseException, ViatraQueryException

      public abstract class ViatraQueryRuntimeException
      extends java.lang.RuntimeException

  A common base class for all exceptions thrown by various VIATRA Query Runtime APIs.
  Since:
    2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViatraQueryRuntimeException()`
    `ViatraQueryRuntimeException(java.lang.String message)`
    `ViatraQueryRuntimeException(java.lang.String message, java.lang.Throwable cause)`
    `ViatraQueryRuntimeException(java.lang.String message, java.lang.Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
    `ViatraQueryRuntimeException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ViatraQueryRuntimeException

          public ViatraQueryRuntimeException()

    - #### ViatraQueryRuntimeException

          public ViatraQueryRuntimeException(java.lang.String message)

    - #### ViatraQueryRuntimeException

          public ViatraQueryRuntimeException(java.lang.Throwable cause)

    - #### ViatraQueryRuntimeException

          public ViatraQueryRuntimeException(java.lang.String message,
                                             java.lang.Throwable cause)

    - #### ViatraQueryRuntimeException

          public ViatraQueryRuntimeException(java.lang.String message,
                                             java.lang.Throwable cause,
                                             boolean enableSuppression,
                                             boolean writableStackTrace)